---
agentTools:
  projectIndex: https://velodrome.readme.io/llms.txt
---

# List Cities

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.velodro.me"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/cities": {
      "get": {
        "summary": "List Cities",
        "description": "",
        "operationId": "list-cities",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n    {\n        \"human_city_name\": \"Dublin\",\n        \"human_country_name\": \"Ireland\",\n        \"short_city_name\": \"dub\",\n        \"short_country_name\": \"ie\",\n        \"language\": \"en\",\n        \"currency\": \"eur\",\n        \"currency_symbol\": \"€\",\n        \"currency_symbol_htmlentity\": \"&euro;\",\n        \"lowest_price\": \"3.50\",\n        \"southwest_boundary\": \"53.251247,-6.385117\",\n        \"northeast_boundary\": \"53.634868,-6.022568\"\n    }\n]"
                  }
                },
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "human_city_name": {
                        "type": "string",
                        "example": "Dublin"
                      },
                      "human_country_name": {
                        "type": "string",
                        "example": "Ireland"
                      },
                      "short_city_name": {
                        "type": "string",
                        "example": "dub"
                      },
                      "short_country_name": {
                        "type": "string",
                        "example": "ie"
                      },
                      "language": {
                        "type": "string",
                        "example": "en"
                      },
                      "currency": {
                        "type": "string",
                        "example": "eur"
                      },
                      "currency_symbol": {
                        "type": "string",
                        "example": "€"
                      },
                      "currency_symbol_htmlentity": {
                        "type": "string",
                        "example": "&euro;"
                      },
                      "lowest_price": {
                        "type": "string",
                        "example": "3.50"
                      },
                      "southwest_boundary": {
                        "type": "string",
                        "example": "53.251247,-6.385117"
                      },
                      "northeast_boundary": {
                        "type": "string",
                        "example": "53.634868,-6.022568"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X GET -H \"Authorization: Basic YOUR_BASIC_AUTH_TOKEN\" 'https://api.velodro.me/cities'"
            },
            {
              "language": "javascript",
              "code": "var velodrome = require(\"velodrome\");\nvar api       = new velodrome(\"YOUR_PUBLIC_KEY\", \"YOUR_PRIVATE_KEY\");\n\napi.listCities(function (error, resource, data) {\n    if (error) {\n        throw error;\n    } else {\n        // data contains all the cities in a JS object\n        console.log(data);\n    }\n});"
            }
          ],
          "samples-languages": [
            "curl",
            "javascript"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "62f5492ba9a190571935962b:5638d7d5aaddb90d00c75fb2"
}
```